org.apache.solr.common.util

## Class SolrjNamedThreadFactory

- java.lang.Object
- - org.apache.solr.common.util.SolrNamedThreadFactory
  - - org.apache.solr.common.util.SolrjNamedThreadFactory

All Implemented Interfaces:
  ThreadFactory

Deprecated.
use `SolrNamedThreadFactory` instead.

    @Deprecated
    public class SolrjNamedThreadFactory
    extends SolrNamedThreadFactory

Deprecated to rename to `SolrNamedThreadFactory`.

### Constructor Summary

Constructors
Constructor and Description
`SolrjNamedThreadFactory(String namePrefix)` Deprecated.

### Method Summary

### Methods inherited from class org.apache.solr.common.util.SolrNamedThreadFactory

`newThread`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SolrjNamedThreadFactory

    public SolrjNamedThreadFactory(String namePrefix)

Deprecated.